Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.BreakPointException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  avrora.sim.Simulator.BreakPointException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Simulator

public static class Simulator.BreakPointException
extends java.lang.RuntimeException

The `BreakPointException` is an exception that is thrown by the simulator before it executes an instruction which has a breakpoint. When this exception is thrown within the simulator, the simulator is left in a state where it is ready to be resumed where it left off by the `start()` method. When resuming, the breakpointed instruction will not cause a second `BreakPointException` until the the instruction is executed a second time.

See Also:
  Serialized Form

Field Summary
`int` | `address` The `address` field stores the address of the instruction that caused the breakpoint.
`Instr` | `instr` The `instr` field stores the instruction that caused the breakpoint.
`State` | `state` The `state` field stores a reference to the state of the simulator when the breakpoint occurred, before executing the instruction.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instr

    public final Instr instr

  The `instr` field stores the instruction that caused the breakpoint.

### address

    public final int address

  The `address` field stores the address of the instruction that caused the breakpoint.

### state

    public final State state

  The `state` field stores a reference to the state of the simulator when the breakpoint occurred, before executing the instruction.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD